Subject: Re: [PATCH v3] ipv6: Fix protocol resubmission

From: Josh Hunt <[email-masked]>
Date: Wed, 10 Jun 2015 10:23:51 -0500

On 06/10/2015 10:16 AM, YOSHIFUJI Hideaki wrote:
> Hi,
>
> Josh Hunt wrote:
>>
>> Hajime
>>
>> Thanks for the report. I mentioned in an earlier post this might be a problem.
>>
>> Dave, what if we restore the old behavior, but add a new label to handle the case where the decapsulating protocol returns the nexthdr value? Allowing for migration over to this method over time. I've pasted in a patch doing so below.
>
> I think it is insufficient because IPv6 stack already uses
> positive value, 0 and negative values.
>

Where does it use a negative value?

ret is only checked to be > or == to 0. I don't see any checks or code 
handling a return value of < 0 prior to my patch.

If something does return a negative value should it since nothing 
happens with it?

Josh